'--------------------------------------------------------------------------------------------
'
'   ActiveX Data Objects
'
'   TopStyle keyword include file - shared by ASP VBScript and ASP JScript keyword tables
'
'--------------------------------------------------------------------------------------------

[header]
version=3.10
description=ActiveX Data Objects for ASP
reference=http://msdn.microsoft.com/library/en-us/ado270/htm/mdmscadoobjects.asp
reference=http://www.w3schools.com/ado/

'--------------------------------------------------------------
'  OBJECT LIST
'--------------------------------------------------------------

[objects]
Command
Connection
Error
Field
Parameter
Property
Record
Recordset
Stream

'--------------------------------------------------------------
'  CONSTANT LIST (no keywords)
'--------------------------------------------------------------
 
[constants]
'---- CursorTypeEnum Values ----
adOpenForwardOnly
adOpenKeyset
adOpenDynamic
adOpenStatic
'---- CursorOptionEnum Values ----
adHoldRecords
adMovePrevious
adAddNew
adDelete
adUpdate
adBookmark
adApproxPosition
adUpdateBatch
adResync
'---- LockTypeEnum Values ----
adLockReadOnly
adLockPessimistic
adLockOptimistic
adLockBatchOptimistic
'---- CursorLocationEnum Values ----
adUseClient
adUseServer
adUseClientBatch
'---- DataTypeEnum Values ----
adEmpty
adTinyInt
adSmallInt
adInteger
adBigInt
adUnsignedTinyInt
adUnsignedSmallInt
adUnsignedInt
adUnsignedBigInt
adSingle
adDouble
adCurrency
adDecimal
adNumeric
adBoolean
adError
adUserDefined
adVariant
adIDispatch
adIUnknown
adGUID
adDate
adDBDate
adDBTime
adDBTimeStamp
adBSTR
adChar
adVarChar
adLongVarChar
adWChar
adVarWChar
adLongVarWChar
adBinary
adVarBinary
adLongVarBinary
'---- ConnectPromptEnum Values ----
adPromptAlways
adPromptComplete
adPromptCompleteRequired
adPromptNever
'---- ConnectModeEnum Values ----
adModeUnknown
adModeRead
adModeWrite
adModeReadWrite
adModeShareDenyRead
adModeShareDenyWrite
adModeShareExclusive
adModeShareDenyNone
'---- IsolationLevelEnum Values ----
adXactUnspecified
adXactChaos
adXactReadUncommitted
adXactBrowse
adXactCursorStability
adXactReadCommitted
adXactRepeatableRead
adXactSerializable
adXactIsolated
'---- XactAttributeEnum Values ----
adXactPollAsync
adXactPollSyncPhaseOne
adXactCommitRetaining
adXactAbortRetaining
adXactAbortAsync
'---- FieldAttributeEnum Values ----
adFldBookmark
adFldMayDefer
adFldUpdatable
adFldUnknownUpdatable
adFldFixed
adFldIsNullable
adFldMayBeNull
adFldLong
adFldRowID
adFldRowVersion
adFldCacheDeferred
'---- EditModeEnum Values ----
adEditNone
adEditInProgress
adEditAdd
'---- RecordStatusEnum Values ----
adRecOK
adRecNew
adRecModified
adRecDeleted
adRecUnmodified
adRecInvalid
adRecMultipleChanges
adRecPendingChanges
adRecCanceled
adRecCantRelease
adRecConcurrencyViolation
adRecIntegrityViolation
adRecMaxChangesExceeded
adRecObjectOpen
adRecOutOfMemory
adRecPermissionDenied
adRecSchemaViolation
adRecDBDeleted
'---- GetRowsOptionEnum Values ----
adGetRowsRest
'---- PositionEnum Values ----
adPosUnknown
adPosBOF
adPosEOF
'---- AffectEnum Values ----
adAffectCurrent
adAffectGroup
adAffectAll
'---- FilterGroupEnum Values ----
adFilterNone
adFilterPendingRecords
adFilterAffectedRecords
adFilterFetchedRecords
'---- PropertyAttributesEnum Values ----
adPropNotSupported
adPropRequired
adPropOptional
adPropRead
adPropWrite
'---- ErrorValueEnum Values ----
adErrInvalidArgument
adErrNoCurrentRecord
adErrIllegalOperation
adErrInTransaction
adErrFeatureNotAvailable
adErrItemNotFound
adErrObjectNotSet
adErrDataConversion
adErrObjectClosed
adErrObjectOpen
adErrProviderNotFound
adErrBoundToCommand
'---- ParameterAttributesEnum Values ----
adParamSigned
adParamNullable
adParamLong
'---- ParameterDirectionEnum Values ----
adParamUnknown
adParamInput
adParamOutput
adParamInputOutput
adParamReturnValue
'---- CommandTypeEnum Values ----
adCmdUnknown
adCmdText
adCmdTable
adCmdStoredProc

'--------------------------------------------------------------
'  OBJECT DEFINITIONS
'--------------------------------------------------------------

[object:Command]
property=ActiveConnection
property=CommandStream
property=CommandText
property=CommandTimeout
property=CommandType
property=Dialect
property=Name
property=NamedParameters
collection=Parameters
property=Prepared
collection=Properties
property=State
Method=Cancel
Method=CreateParameter
Method=Execute

[object:Connection]
property=Attributes
property=CommandTimeout
property=ConnectionString
property=ConnectionTimeout
property=CursorLocation
property=DefaultDatabase
collection=Errors
property=IsolationLevel
property=Mode
collection=Properties
property=Provider
property=State
property=Version
method=BeginTrans
method=CommitTrans
method=RollbackTrans
method=Cancel
method=Close
method=Execute
method=Open
method=OpenSchema

[object:Error]
property=Description
property=HelpContext
property=HelpFile
property=NativeError
property=Number
property=Source
property=SQLState

[object:Field]
property=ActualSize
property=Attributes
property=DefinedSize
property=Name
property=NumericScale
property=OriginalValue
property=Precision
collection=Properties
property=Status
property=Type
property=UnderlyingValue
property=Value
method=AppendChunk
method=GetChunk

[object:Parameter]
property=Attributes
property=Direction
property=Name
property=NumericScale
property=Precision
collection=Properties
property=Size
property=Type
property=Value
method=AppendChunk

[object:Property]
property=Attributes
property=Name
property=Type
property=Value

[object:Record]
property=ActiveConnection
collection=Fields
property=Mode
property=ParentURL
collection=Properties
property=RecordType
property=Source
property=State
method=Cancel
method=Close
method=CopyRecord
method=DeleteRecord
method=GetChildren
method=MoveRecord
method=Open

[object:Recordset]
property=AbsolutePage
property=AbsolutePosition
property=ActiveCommand
property=ActiveConnection
property=BOF
property=EOF
property=Bookmark
property=CacheSize
property=CursorLocation
property=CursorType
property=DataMember
property=DataSource
property=EditMode
collection=Fields
property=Filter
property=Index
property=LockType
property=MarshalOptions
property=MaxRecords
property=PageCount
property=PageSize
collection=Properties
property=RecordCount
property=Sort
property=Source
property=State
property=Status
property=StayInSync
method=AddNew
method=Cancel
method=CancelBatch
method=CancelUpdate
method=Clone
method=Close
method=CompareBookmarks
method=Delete
method=Find
method=GetRows
method=GetString
method=Move
method=MoveFirst
method=MoveLast
method=MoveNext
method=MovePrevious
method=NextRecordset
method=Open
method=Requery
method=Resync
method=Save
method=Seek
method=Supports
method=Update
method=UpdateBatch

[object:stream]
property=Charset
property=EOS
property=LineSeparator
property=Mode
property=Position
property=Size
property=State
property=Type
method=Cancel
method=Close
method=CopyTo
method=Flush
method=LoadFromFile
method=Open
method=Read
method=ReadText
method=SaveToFile
method=SetEOS
method=SkipLine
method=Stat
method=Write
method=WriteText
